Package com.microblink.blinkid.entities.recognizers.blinkid.imageoptions.encode

# Interface EncodeSignatureImageOptions

All Known Implementing Classes:
  `BlinkIdMultiSideRecognizer`, `BlinkIdSingleSideRecognizer`

public interface EncodeSignatureImageOptions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setEncodeSignatureImage(boolean encodeSignatureImage)`
  Sets whether signature image from document should be encoded in JPEG format and written into the corresponding recognition result.
  `boolean`
  `shouldEncodeSignatureImage()`
  Returns whether encoding of signature image and writing it into the recognition result is enabled.

- ## Field Details

  - ### CLASS_NAME

    @NonNull static final String CLASS_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setEncodeSignatureImage

    void setEncodeSignatureImage(boolean encodeSignatureImage)
    Sets whether signature image from document should be encoded in JPEG format and written into the corresponding recognition result. By default, this is set to 'false'.
    IMPORTANT NOTE: If you set `MicroblinkSDK.setIntentDataTransferMode(com.microblink.blinkid.intent.IntentDataTransferMode)` to `IntentDataTransferMode.STANDARD` recognizer which contains encoded image cannot be parcelized and passed by `Intent` extras because of Android limitations on intent extras size. If you are using one of the provided scan activities and expect receiving scan results in `Activity.onActivityResult(int, int, android.content.Intent)` method use either `IntentDataTransferMode.OPTIMISED` or `IntentDataTransferMode.PERSISTED_OPTIMISED`
    Parameters:
      `encodeSignatureImage` - whether signature image should be encoded in JPEG format and written into the corresponding recognition result.

  - ### shouldEncodeSignatureImage

    boolean shouldEncodeSignatureImage()
    Returns whether encoding of signature image and writing it into the recognition result is enabled. By default, this is set to 'false'.
    Returns:
      whether encoding of signature image and writing it into the recognition result is enabled.